using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework.StatSystem
{
    // TODO, Comment
    public interface StatEffectlike
    {
        float TimeRemaining();
        void Apply(Attributes attributes);
        void Remove(Attributes attributes);
        void Update();
    }
}
